% 
clear all; close all; % incicializar variables y figuras


%% definir las constantes del experimento
gama=1;
masa=1;
k=1;

%% Calcular los exponentes y el parametro critico

crit=gama*gama - 4*masa*k % si esto es negativo, hay oscilaciones (masa y elasticidad superan la amortiguacion)
lambda = (gama + sqrt(gama*gama - 4*masa*k))/(2*masa) % la solucion para x=e^-(lamda*t). en general es compleja

%%

t=[0:0.01:30];
x=real(exp(-lambda*t)); % Tomar la parte real de la solucion
plot(t,x);

%% Pueden verse los otros picos??
figure;
x=real(exp(-lambda*t)); % Tomar la parte real de la solucion
plot(t,x); ylim([-0.3 0.3])

%% definir las constantes del experimento
gama2=1.6;
masa=1;
k=1;

%% Calcular los exponentes y el parametro critico

crit2=gama2*gama2 - 4*masa*k % si esto es negativo, hay oscilaciones (masa y elasticidad superan la amortiguacion)
lambda2 = (gama2 + sqrt(gama2*gama2 - 4*masa*k))/(2*masa) % la solucion para x=e^-(lamda*t). en general es compleja

%% Plotear las trayectorias a viscosidad mayor y menor

t=[0:0.01:30];
x2=real(exp(-lambda2*t)); % Tomar la parte real de la solucion
figure;plot(t,x,t,x2);

%% ploteado en una escala 
figure; plot(t,x/50,t,x2);
ylim([-0.001 0.001])




